Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractReloadingMetadataResolver.RefreshMetadataTask

java.lang.Object
java.util.TimerTask
org.opensaml.saml.metadata.resolver.impl.AbstractReloadingMetadataResolver.RefreshMetadataTask

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  AbstractReloadingMetadataResolver

private class AbstractReloadingMetadataResolver.RefreshMetadataTask extends TimerTask
Background task that refreshes metadata.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`RefreshMetadataTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.util.TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RefreshMetadataTask

private RefreshMetadataTask()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`